Encoding ProfilesDelete a DRM Encoding Profile

Delete a DRM Encoding Profile

Refused with result error if any Video Encoding Profile still references this DRM profile - detach it first.

curl -X DELETE "https://api.5centscdn.com/v2/drm/profiles/7" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "_METHOD": "DELETE"
}'
{
  "result": "success"
}
DELETE
/drm/profiles/{drmprofileid}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
drmprofileidinteger
Required

Unique identifier of the DRM Encoding Profile.

Content-Typestring
Required

The media type of the request body

Options: application/json
_METHODstring
Required

Must be set to DELETE to trigger DRM Encoding Profile deletion.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

drmprofileidinteger
Required

Unique identifier of the DRM Encoding Profile.

Example:
7

Body

application/json
_METHODstring
Required

Must be set to DELETE to trigger DRM Encoding Profile deletion.

Example:
DELETE

Responses

resultstring

Operation outcome.

Allowed values:successerror